> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Element Results

Returns results and metadata for a given Element token.

## Path Parameters

## Returns

Returns information about the Element token and session.

```bash cURL theme={null}
curl https://production.methodfi.com/elements/token/pk_elem_dDe4r9M6X3Ad9zjpbgYpzLNtRCXfhPYR/results \
  -X GET \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
```

```javascript Node.js theme={null}
const response = await method
  .elements
  .token
  .results('pk_elem_dDe4r9M6X3Ad9zjpbgYpzLNtRCXfhPYR');
```

```python Python theme={null}
response = method
  .elements
  .token
  .results('pk_elem_dDe4r9M6X3Ad9zjpbgYpzLNtRCXfhPYR')
```

```json theme={null}
{
  "authenticated": true,
  "cxn_id": "cxn_xr86xHEcWmpmB",
  "accounts": [
    "acc_jPXLFqd6KzH3N",
    "acc_DALLeLrj3TH8h"
  ],
  "entity_id": "ent_GWKYtnFyE79db",
  "events": [
    {
      "type": "open",
      "metadata": {
        "element_type": "connect",
        "op": "open"
      },
      "timestamp": "2024-04-25T02:35:28.097Z"
    },
    {
      "type": "success",
      "metadata": {
        "entity_id": "ent_GWKYtnFyE79db",
        "accounts": [
          "acc_jPXLFqd6KzH3N",
          "acc_DALLeLrj3TH8h"
        ],
        "element_type": "connect",
        "op": "success"
      },
      "timestamp": "2024-04-25T02:35:57.120Z"
    },
    {
      "type": "exit",
      "metadata": {
        "element_type": "connect",
        "op": "exit"
      },
      "timestamp": "2024-04-25T02:35:57.138Z"
    }
  ]
}
```

#### Auth Events

| Event prefix | Description |
| - | - |
| AUTH\_INTRO | Indicates when the user opens, closes, or continues past the Intro screen |
| AUTH\_NAME | Indicates when the user opens, closes, or continues past the input name screen |
| AUTH\_PHONE | Indicates when the user opens, closes, or continues past the input phone screen |
| AUTH\_PHONE\_VERIFY | Indicates when the user opens the phone verification screen, submits a code, resends a code, or closes the screen |
| AUTH\_DOB | Indicates when the user opens, closes, or continues past the date of birth input screen |
| AUTH\_ADDRESS | Indicates when the user opens, closes, or continues past the address input screen |
| AUTH\_SSN4 | Indicates when the user opens, closes, or continues past the last 4 of SSN input screen |
| AUTH\_SECQ | Indicates when the user opens, closes, incorrectly answers, or continues past the security questions screen |
| AUTH\_CONSENT | Indicates when the user opens, closes, or continues past the account consent screen |
| AUTH\_SUCCESS | Indicates when the user successfully completes the Authentication portion of Connect |
| AUTH\_FAILURE | Indicates if the user ran into an error during the Authentication portion of Connect |

#### Account Verification Events

| Event prefix | Description |
| - | - |
| AVF\_ACCOUNT\_LIST | Indicates when the user opens or exits out of the account list |
| AVF\_LEARN\_MORE | Indicates when the user opens or exits out of the Learn More modal |
| AVF\_ACCOUNT\_VERIFY | Indicates when the user opens, submits, or closes the verification modal for a specific account |
| AVF\_SUCCESS | Indicates when the user opens or continues past the verification success screen |
| AVF\_EMPTY\_SUCCESS | Indicates when the user opens or continues past the success screen shown if there were no accounts that required verification |
| AVF\_SKIP\_ALL | Indicates when the user skips all account verifications |
| AVF\_ERROR | Indicates when the user is displyed an error screen during account verification |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.